textures/projumper/stratosphere
{
    qer_editorImage env/projumper/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/projumper/stratosphere - -
}

textures/projumper/stratosphere_hollow
{
    qer_editorImage env/projumper/stratosphere_ft.tga
    qer_trans 0.5
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/projumper/stratosphere - -
}

textures/projumper/tile00
{
    q3map_lightImage textures/projumper/tile00.tga
    qer_editorImage textures/projumper/qer_tile00_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile00_sl
{
    qer_editorImage textures/projumper/tile00.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile00_icy
{
    q3map_lightImage textures/projumper/tile00.tga
    qer_editorImage textures/projumper/qer_tile00_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile00_sm
{
    q3map_lightImage textures/projumper/tile00_sm.tga
    qer_editorImage textures/projumper/qer_tile00_sm_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile00_sm.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile00_sm_sl
{
    qer_editorImage textures/projumper/tile00_sm.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile00_sm.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile00_med_sl
{
    qer_editorImage textures/projumper/tile00_med.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile00_med.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile00_hollow
{
    qer_editorImage textures/projumper/tile00.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile00_hollow_icy
{
    q3map_lightImage textures/projumper/tile00.tga
    qer_editorImage textures/projumper/qer_tile00_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile01
{
    q3map_lightImage textures/projumper/tile01.tga
    qer_editorImage textures/projumper/qer_tile01_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile01_sl
{
    qer_editorImage textures/projumper/tile01.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile01_icy
{
    q3map_lightImage textures/projumper/tile01.tga
    qer_editorImage textures/projumper/qer_tile01_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile01_hollow
{
    qer_editorImage textures/projumper/tile01.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile01_hollow_icy
{
    q3map_lightImage textures/projumper/tile01.tga
    qer_editorImage textures/projumper/qer_tile01_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile02
{
    q3map_lightImage textures/projumper/tile02.tga
    qer_editorImage textures/projumper/qer_tile02_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile02_sl
{
    qer_editorImage textures/projumper/tile02.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile02_icy
{
    q3map_lightImage textures/projumper/tile02.tga
    qer_editorImage textures/projumper/qer_tile02_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile02.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile02_hollow
{
    qer_editorImage textures/projumper/tile02.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile02_hollow_icy
{
    q3map_lightImage textures/projumper/tile02.tga
    qer_editorImage textures/projumper/qer_tile02_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile02.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile03
{
    q3map_lightImage textures/projumper/tile03.tga
    qer_editorImage textures/projumper/qer_tile03_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile03_sl
{
    qer_editorImage textures/projumper/tile03.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile03_icy
{
    q3map_lightImage textures/projumper/tile03.tga
    qer_editorImage textures/projumper/qer_tile03_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile03.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile03_hollow
{
    qer_editorImage textures/projumper/tile03.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile03_hollow_icy
{
    q3map_lightImage textures/projumper/tile03.tga
    qer_editorImage textures/projumper/qer_tile03_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile03.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile04
{
    q3map_lightImage textures/projumper/tile04.tga
    qer_editorImage textures/projumper/qer_tile04_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile04.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile04_sl
{
    qer_editorImage textures/projumper/tile04.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile04.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile04_icy
{
    q3map_lightImage textures/projumper/tile04.tga
    qer_editorImage textures/projumper/qer_tile04_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile04.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile05
{
    q3map_lightImage textures/projumper/tile05.tga
    qer_editorImage textures/projumper/qer_tile05_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile05_sl
{
    qer_editorImage textures/projumper/tile05.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile05_icy
{
    q3map_lightImage textures/projumper/tile05.tga
    qer_editorImage textures/projumper/qer_tile05_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile05.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile05_hollow
{
    qer_editorImage textures/projumper/tile05.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile05.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile06
{
    q3map_lightImage textures/projumper/tile06.tga
    qer_editorImage textures/projumper/qer_tile06_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile06.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile06_sl
{
    qer_editorImage textures/projumper/tile06.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile06.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile06_icy
{
    q3map_lightImage textures/projumper/tile06.tga
    qer_editorImage textures/projumper/qer_tile06_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile06.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile07
{
    q3map_lightImage textures/projumper/tile07.tga
    qer_editorImage textures/projumper/qer_tile07_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile07_sl
{
    qer_editorImage textures/projumper/tile07.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile07_icy
{
    q3map_lightImage textures/projumper/tile07.tga
    qer_editorImage textures/projumper/qer_tile07_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile07.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile07_hollow
{
    qer_editorImage textures/projumper/tile07.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile07.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile08
{
    q3map_lightImage textures/projumper/tile08.tga
    qer_editorImage textures/projumper/qer_tile08_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile08_sl
{
    qer_editorImage textures/projumper/tile08.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile08_icy
{
    q3map_lightImage textures/projumper/tile08.tga
    qer_editorImage textures/projumper/qer_tile08_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile08.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile08_hollow
{
    qer_editorImage textures/projumper/tile08.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile08.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile09
{
    q3map_lightImage textures/projumper/tile09.tga
    qer_editorImage textures/projumper/qer_tile09_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile09_sl
{
    qer_editorImage textures/projumper/tile09.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile09_icy
{
    q3map_lightImage textures/projumper/tile09.tga
    qer_editorImage textures/projumper/qer_tile09_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile09.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile09_hollow
{
    qer_editorImage textures/projumper/tile09.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile09.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile10
{
    q3map_lightImage textures/projumper/tile10.tga
    qer_editorImage textures/projumper/qer_tile10_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile10.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile10_sl
{
    qer_editorImage textures/projumper/tile10.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile10.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile10_icy
{
    q3map_lightImage textures/projumper/tile10.tga
    qer_editorImage textures/projumper/qer_tile10_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile10.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile11
{
    q3map_lightImage textures/projumper/tile11.tga
    qer_editorImage textures/projumper/qer_tile11_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile11_sl
{
    qer_editorImage textures/projumper/tile11.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile11_icy
{
    q3map_lightImage textures/projumper/tile11.tga
    qer_editorImage textures/projumper/qer_tile11_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile11.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile11_hollow
{
    qer_editorImage textures/projumper/tile11.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile11.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile12
{
    q3map_lightImage textures/projumper/tile12.tga
    qer_editorImage textures/projumper/qer_tile12_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile12.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile12_sl
{
    qer_editorImage textures/projumper/tile12.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile12.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile12_icy
{
    q3map_lightImage textures/projumper/tile12.tga
    qer_editorImage textures/projumper/qer_tile12_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile12.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile13
{
    q3map_lightImage textures/projumper/tile13.tga
    qer_editorImage textures/projumper/qer_tile13_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile13_sl
{
    qer_editorImage textures/projumper/tile13.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile13_hollow
{
    qer_editorImage textures/projumper/tile13.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile14
{
    q3map_lightImage textures/projumper/tile14.tga
    qer_editorImage textures/projumper/qer_tile14_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile14_sl
{
    qer_editorImage textures/projumper/tile14.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile14_icy
{
    q3map_lightImage textures/projumper/tile14.tga
    qer_editorImage textures/projumper/qer_tile14_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile14.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile14_hollow
{
    qer_editorImage textures/projumper/tile14.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile14.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile15
{
    q3map_lightImage textures/projumper/tile15.tga
    qer_editorImage textures/projumper/qer_tile15_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile15_sl
{
    qer_editorImage textures/projumper/tile15.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile15_hollow
{
    qer_editorImage textures/projumper/tile15.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile15.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile16
{
    q3map_lightImage textures/projumper/tile16.tga
    qer_editorImage textures/projumper/qer_tile16_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile16.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile16_sl
{
    qer_editorImage textures/projumper/tile16.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile16.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile16_icy
{
    q3map_lightImage textures/projumper/tile16.tga
    qer_editorImage textures/projumper/qer_tile16_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile16.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile17
{
    q3map_lightImage textures/projumper/tile17.tga
    qer_editorImage textures/projumper/qer_tile17_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile17_sl
{
    qer_editorImage textures/projumper/tile17.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile17_icy
{
    q3map_lightImage textures/projumper/tile17.tga
    qer_editorImage textures/projumper/qer_tile17_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile17.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile17_hollow
{
    qer_editorImage textures/projumper/tile17.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile17.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile18
{
    q3map_lightImage textures/projumper/tile18.tga
    qer_editorImage textures/projumper/qer_tile18_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile18.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile18_sl
{
    qer_editorImage textures/projumper/tile18.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile18.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile18_icy
{
    q3map_lightImage textures/projumper/tile18.tga
    qer_editorImage textures/projumper/qer_tile18_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile18.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile19
{
    q3map_lightImage textures/projumper/tile19.tga
    qer_editorImage textures/projumper/qer_tile19_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile19_sl
{
    qer_editorImage textures/projumper/tile19.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile19_icy
{
    q3map_lightImage textures/projumper/tile19.tga
    qer_editorImage textures/projumper/qer_tile19_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile19.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile19_hollow
{
    qer_editorImage textures/projumper/tile19.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile20
{
    q3map_lightImage textures/projumper/tile20.tga
    qer_editorImage textures/projumper/qer_tile20_tr.tga
    surfaceparm nodamage
    {
        map textures/projumper/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile20_sl
{
    qer_editorImage textures/projumper/tile20.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/tile20_icy
{
    q3map_lightImage textures/projumper/tile20.tga
    qer_editorImage textures/projumper/qer_tile20_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/tile20.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/tile20_hollow
{
    qer_editorImage textures/projumper/tile20.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/tile20.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/light
{
    qer_editorImage textures/projumper/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/projumper/light.tga
    }
}

textures/projumper/flashing_light
{
    qer_editorImage textures/projumper/lightred.tga
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    {
        map textures/projumper/lightred.tga
        rgbGen wave sin 0.6 0.4 0 0.7
    }
}

textures/projumper/flashing_button
{
    qer_editorImage textures/projumper/lightred.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_projumper/red.tga
        blendFunc filter
    }
    {
        map textures/projumper/lightred.tga
        blendFunc add
        rgbGen wave square 0.20 0.20 0 2.3
    }
}

textures/projumper/depressed_button
{
    qer_editorImage textures/projumper/lightorange.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map $lightmap
    }
    {
        map textures/_projumper/orange.tga
        blendFunc filter
    }
    {
        map textures/projumper/lightorange.tga
        blendFunc add
        rgbGen const ( 0.4 0.4 0.4 )
    }
}

textures/projumper/ladder
{
    qer_editorImage textures/projumper/redwood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map textures/projumper/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/wood
{
    qer_editorImage textures/projumper/wood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/projumper/wood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/barrier
{
    qer_editorImage textures/projumper/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/projumper/barrier.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/barrier_sl
{
    qer_editorImage textures/projumper/barrier_sl.tga
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/barrier_sl.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/walljump
{
    qer_editorImage textures/projumper/walljump.tga
    surfaceparm nodamage
    {
        map textures/projumper/walljump.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/glass_clear
{
    q3map_lightImage textures/_projumper/glass_radiosity.tga
    qer_editorImage textures/projumper/qer_clear.tga
    qer_trans 0.5
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_projumper/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/projumper/glass_clear_tr
{
    q3map_lightImage textures/_projumper/glass_radiosity.tga
    qer_editorImage textures/projumper/qer_clear.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_projumper/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/projumper/glass_transparent
{
    q3map_lightImage textures/_projumper/glass_radiosity.tga
    qer_editorImage textures/projumper/qer_clear.tga
    qer_trans 0.3
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_projumper/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/projumper/glass_transparent_tr
{
    q3map_lightImage textures/_projumper/glass_radiosity.tga
    qer_editorImage textures/projumper/qer_clear.tga
    qer_trans 0.4
    q3map_bounceScale 0.22
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_projumper/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/projumper/glass_transparent2
{
    q3map_lightImage textures/_projumper/glass_radiosity.tga
    qer_editorImage textures/projumper/qer_clear.tga
    qer_trans 0.1
    q3map_bounceScale 0.02
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_projumper/q3a_glass_transparent2.tga
        blendFunc add
        tcGen environment
    }
}

// Note that this is virtually the same as
// textures/ramb_common/slickclearfiller.
textures/projumper/clear
{
    qer_editorImage textures/projumper/qer_clear.tga
    qer_trans 0.1
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm nodraw
    surfaceparm trans
}

textures/projumper/filler
{
    qer_editorImage textures/projumper/qer_filler.tga
    qer_trans 0.6
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/projumper/filler_sl
{
    qer_editorImage textures/projumper/qer_filler.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/projumper/filler_wood
{
    qer_editorImage textures/projumper/qer_filler_wood.tga
    qer_trans 0.6
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/projumper/filler_glass
{
    qer_editorImage textures/projumper/qer_filler_glass.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    {
    }
}

textures/projumper/portal
{
    qer_editorImage textures/projumper/portal.tga
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
//    cull disable
    {
        map textures/projumper/portal.tga
        tcMod scroll 0 1
    }
}

textures/projumper/portal_solid
{
    qer_editorImage textures/projumper/portal.tga
    surfaceparm nodamage
    surfaceparm nomarks
    surfaceparm noimpact
    {
        map textures/projumper/portal.tga
        tcMod scale 0.6 0.6
        tcMod rotate 15
        tcMod scroll 0.25 0.25
    }
}

textures/projumper/portal_trans
{
    qer_editorImage textures/projumper/portal.tga
    qer_trans 0.4
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/portal.tga
        blendFunc blend
        alphaGen const 0.65
        tcMod scroll 0 1
    }
}

textures/projumper/portal_lemming
{
    qer_editorImage textures/projumper/portal.tga
    surfaceparm slick
    surfaceparm nomarks
    surfaceparm noimpact
    {
        map textures/projumper/portal.tga
    }
}

textures/projumper/white
{
    qer_editorImage textures/projumper/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/white.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/white_icy
{
    q3map_lightImage textures/projumper/white.tga
    qer_editorImage textures/projumper/qer_white_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/white_hollow
{
    qer_editorImage textures/projumper/white.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/white.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/white_hollow_icy
{
    q3map_lightImage textures/projumper/white.tga
    qer_editorImage textures/projumper/qer_white_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/gray
{
    qer_editorImage textures/projumper/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/gray.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/gray_icy
{
    q3map_lightImage textures/projumper/gray.tga
    qer_editorImage textures/projumper/qer_gray_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/projumper/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/gray_hollow
{
    qer_editorImage textures/projumper/gray.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/gray.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/gray_hollow_icy
{
    q3map_lightImage textures/projumper/gray.tga
    qer_editorImage textures/projumper/qer_gray_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/projumper/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_projumper/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/projumper/black
{
    qer_editorImage textures/projumper/black.tga
    {
        map textures/projumper/black.tga
    }
}

textures/projumper/black_sl
{
    qer_editorImage textures/projumper/black.tga
    surfaceparm slick
    {
        map textures/projumper/black.tga
    }
}

textures/projumper/black_hollow
{
    qer_editorImage textures/projumper/black.tga
    qer_trans 0.7`
    surfaceparm nonsolid
    {
        map textures/projumper/black.tga
    }
}

textures/projumper/icy_jumps_v
{
    qer_editorImage textures/projumper/icy_jumps_v.tga
    polygonOffset
    {
        map textures/projumper/icy_jumps_v.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1

    }
}

textures/projumper/quake3
{
    qer_editorImage textures/projumper/quake3.tga
    polygonOffset
    {
        map textures/projumper/quake3.tga
        blendFunc blend
        alphaGen const 1
//        alphaGen wave sin 0.5 0.5 0 1.2
    }
}

textures/projumper/exit
{
    qer_editorImage textures/projumper/exit.tga
    polygonOffset
    {
        map textures/projumper/exit.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/projumper/teh_end
{
    qer_editorImage textures/projumper/teh_end.tga
    polygonOffset
    {
        map textures/projumper/teh_end.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/projumper/telekinetic
{
    qer_editorImage textures/projumper/qer_telekinetic.tga
    polygonOffset
    {
        map textures/_projumper/telekinetic.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/jackass
{
    qer_editorImage textures/projumper/qer_jackass.tga
    polygonOffset
    {
        map textures/_projumper/jackass.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/this_way
{
    qer_editorImage textures/projumper/qer_this_way.tga
    polygonOffset
    {
        map textures/_projumper/this_way.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/no_kevlar
{
    qer_editorImage textures/projumper/qer_no_kevlar.tga
    polygonOffset
    {
        map textures/_projumper/no_kevlar.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/arrow
{
    qer_editorImage textures/projumper/qer_arrow.tga
    polygonOffset
    {
        map textures/_projumper/arrow.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/air_time
{
    qer_editorImage textures/projumper/qer_air_time.tga
    polygonOffset
    {
        map textures/_projumper/air_time.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/got_leet
{
    qer_editorImage textures/projumper/qer_got_leet.tga
    polygonOffset
    {
        map textures/_projumper/got_leet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/speedway
{
    qer_editorImage textures/projumper/qer_speedway.tga
    polygonOffset
    {
        map textures/_projumper/speedway.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/tile_trans
{
    qer_editorImage textures/projumper/tile_trans.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/projumper/tile_trans.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/projumper/tile_trans_lt
{
    qer_editorImage textures/projumper/tile_trans_lt.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/projumper/tile_trans_lt.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/projumper/tile_trans_color
{
    qer_editorImage textures/projumper/tile_trans_color.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/projumper/tile_trans_color.tga
        blendFunc blend
        alphaGen const 0.6
    }
}

textures/projumper/tile_trans_hollow
{
    qer_editorImage textures/projumper/tile_trans_hollow.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    {
        map textures/projumper/tile_trans_hollow.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/projumper/rambetter
{
    qer_editorImage textures/projumper/qer_rambetter.tga
    polygonOffset
    {
        map textures/_projumper/rambetter.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/rambetter_avatar
{
    qer_editorImage textures/projumper/rambetter_avatar.tga
    polygonOffset
    {
        map textures/projumper/rambetter_avatar.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/leet
{
    qer_editorImage textures/projumper/leet.tga
    polygonOffset
    {
        map textures/projumper/leet.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/blood
{
    qer_editorImage textures/projumper/trem_blood.tga
    polygonOffset
    {
        map textures/projumper/trem_blood.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/titanium
{
    qer_editorImage textures/projumper/qer_titanium.tga
    polygonOffset
    {
        map textures/_projumper/titanium.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/quzer
{
    qer_editorImage textures/projumper/qer_quzer.tga
    polygonOffset
    {
        map textures/_projumper/quzer.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/velo_sport
{
    qer_editorImage textures/projumper/qer_velo_sport.tga
    polygonOffset
    {
        map textures/_projumper/velo_sport.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/are_noob
{
    qer_editorImage textures/projumper/are_noob.tga
    polygonOffset
    {
        map textures/projumper/are_noob.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/projumper/wuz_here
{
    qer_editorImage textures/projumper/wuz_here.tga
    polygonOffset
    {
        map textures/projumper/wuz_here.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/nooby_novelty
{
    qer_editorImage textures/projumper/qer_nooby_novelty.tga
    polygonOffset
    {
        map textures/_projumper/nooby_novelty.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/caution
{
    qer_editorImage textures/projumper/caution.tga
    polygonOffset
    {
        map textures/projumper/caution.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1
    }
}

textures/projumper/slow
{
    qer_editorImage textures/projumper/slow.tga
    polygonOffset
    {
        map textures/projumper/slow.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0.5 1
        alphaGen const 1
    }
}

textures/projumper/speed_limit
{
    qer_editorImage textures/projumper/speed_limit.tga
    polygonOffset
    {
        map textures/projumper/speed_limit.tga
        blendFunc blend
        rgbGen wave sin 0.65 0.35 0 1
        alphaGen const 1
    }
}


textures/projumper/beastie
{
    qer_editorImage textures/projumper/beastie.tga
    polygonOffset
    {
        map textures/projumper/beastie.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/tux
{
    qer_editorImage textures/projumper/tux.tga
    polygonOffset
    {
        map textures/projumper/tux.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/vytis
{
    qer_editorImage textures/projumper/vytis.tga
    polygonOffset
    {
        map textures/projumper/vytis.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/competition_results
{
    qer_editorImage textures/projumper/competition_results.tga
    polygonOffset
    {
        map textures/projumper/competition_results.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/noob_finish
{
    qer_editorImage textures/projumper/qer_noob_finish.tga
    polygonOffset
    {
        map textures/_projumper/noob_finish.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/no_nooby_access
{
    qer_editorImage textures/projumper/no_nooby_access.tga
    polygonOffset
    {
        map textures/projumper/no_nooby_access.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/mario
{
    qer_editorImage textures/projumper/mario.tga
    polygonOffset
    {
        map textures/projumper/mario.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/bowser
{
    qer_editorImage textures/projumper/bowser.tga
    polygonOffset
    {
        map textures/projumper/bowser.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/mariosprite
{
    qer_editorImage textures/projumper/mariosprite.tga
    polygonOffset
    {
        map textures/projumper/mariosprite.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/mushroom
{
    qer_editorImage textures/projumper/mushroom.tga
    polygonOffset
    {
        map textures/projumper/mushroom.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/hot_chicks
{
    qer_editorImage textures/projumper/hot_chicks.tga
    polygonOffset
    {
        map textures/projumper/hot_chicks.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/chick_zone
{
    qer_editorImage textures/projumper/chick_zone.tga
    polygonOffset
    {
        map textures/projumper/chick_zone.tga
        blendFunc blend
//        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/noob_filter
{
    qer_editorImage textures/projumper/qer_noob_filter.tga
    polygonOffset
    {
        map textures/_projumper/noob_filter.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/nooby_maze
{
    qer_editorImage textures/projumper/qer_nooby_maze.tga
    polygonOffset
    {
        map textures/_projumper/nooby_maze.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/mario_fun_thing
{
    qer_editorImage textures/projumper/qer_mario_fun_thing.tga
    polygonOffset
    {
        map textures/_projumper/mario_fun_thing.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/please_wait
{
    qer_editorImage textures/projumper/qer_please_wait.tga
    polygonOffset
    {
        map textures/_projumper/please_wait.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

textures/projumper/daffy
{
    qer_editorImage textures/projumper/daffy.jpg
    surfaceparm detail
    {
        map textures/projumper/daffy.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}



textures/projumper/chicky1
{
    qer_editorImage textures/projumper/chicky1.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/projumper/chicky1.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/chicky2
{
    qer_editorImage textures/projumper/chicky2.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/projumper/chicky2.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/chicky3
{
    qer_editorImage textures/projumper/chicky3.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/projumper/chicky3.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/laetitia
{
    qer_editorImage textures/projumper/laetitia.jpg
    surfaceparm detail
    polygonOffset
    {
        map textures/projumper/laetitia.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/megan
{
    qer_editorImage textures/projumper/megan.jpg
    surfaceparm detail
    {
        map textures/projumper/megan.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/anna
{
    qer_editorImage textures/projumper/anna.jpg
    surfaceparm detail
    {
        map textures/projumper/anna.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/looking_glass
{
    qer_editorImage textures/projumper/qer_looking_glass.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/_projumper/looking_glass_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_projumper/q3a_looking_glass_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}

textures/projumper/lava
{
    qer_editorImage textures/projumper/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable
    {
        map textures/_projumper/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_projumper/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/projumper/lava_brighter
{
    qer_editorImage textures/projumper/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 490
    q3map_tessSize 96
    cull disable
    {
        map textures/_projumper/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_projumper/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/projumper/lava_bright
{
    qer_editorImage textures/projumper/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 600
    q3map_tessSize 96
    cull disable
    {
        map textures/_projumper/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_projumper/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/projumper/lavacaulk
{
    qer_editorImage textures/projumper/qer_lava.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/projumper/lavafog
{
    qer_editorImage textures/projumper/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.94 0.50 0.16 ) 150
}

textures/projumper/adobe_wall
{
    qer_editorImage textures/projumper/adobe_wall.jpg
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/projumper/adobe_wall.jpg
        blendFunc filter
    }
}

textures/projumper/lava_room_walls
{
    qer_editorImage textures/projumper/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/projumper/lava_room_walls.jpg
        tcMod scale 0.125 0.125
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/lava_room_walls_hl
{
    qer_editorImage textures/projumper/lava_room_walls.jpg
    qer_trans 0.50
    surfaceparm nonsolid    
    {
        map textures/projumper/lava_room_walls.jpg
        tcMod scale 0.125 0.125
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/lava_room_walls_med
{
    qer_editorImage textures/projumper/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/projumper/lava_room_walls.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/lava_room_walls_sm
{
    qer_editorImage textures/projumper/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/projumper/lava_room_walls.jpg
        tcMod scale 1.5 1.5
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/lava_room_walls_noscale
{
    qer_editorImage textures/projumper/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/projumper/lava_room_walls.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/darkceil
{
    qer_editorImage textures/projumper/darkceil.jpg
    {
        map textures/projumper/darkceil.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }

}

textures/projumper/darkfloor
{
    qer_editorImage textures/projumper/darkfloor.jpg
    {
        map textures/projumper/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/darkfloor_soft
{
    q3map_lightImage textures/projumper/darkfloor.jpg
    qer_editorImage textures/projumper/qer_darkfloor_soft.jpg
    surfaceparm nodamage
    {
        map textures/projumper/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/darkfloor_hl
{
    qer_editorImage textures/projumper/darkfloor.jpg
    qer_trans 0.50
    surfaceparm nonsolid
    {
        map textures/projumper/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/deathfog
{
    qer_editorImage textures/projumper/black.tga
    qer_trans 0.3
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0 0 0 ) 1024
}

textures/projumper/deathfogthick
{
    qer_editorImage textures/projumper/black.tga
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0 0 0 ) 400
}

textures/projumper/mirror
{
    qer_editorImage textures/projumper/qer_mirror.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
//    surfaceparm detail
    {
        map textures/_projumper/mirror.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/_projumper/q3a_sfx_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}

textures/projumper/tileclip
{
    qer_editorImage textures/projumper/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm slick
    cull back
    {
        map textures/projumper/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.15 0.04 0 1
    }
}

textures/projumper/green_tile_glow_med
{
    qer_editorImage textures/projumper/green_tile_glow_med.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/projumper/green_tile_glow_med.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}

textures/projumper/laddercaulk
{
    qer_editorImage textures/projumper/qer_laddercaulk.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm ladder
}

textures/projumper/lum_faint
{
    qer_editorImage textures/projumper/white.tga
    qer_trans 0.4
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 5
    q3map_tessSize 96
    q3map_lightImage textures/projumper/white.tga
}

textures/projumper/lum_dim
{
    qer_editorImage textures/projumper/white.tga
    qer_trans 0.6
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 15
    q3map_tessSize 96
    q3map_lightImage textures/projumper/white.tga
}

textures/projumper/lum
{
    qer_editorImage textures/projumper/white.tga
    qer_trans 0.8
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 45
    q3map_tessSize 96
    q3map_lightImage textures/projumper/white.tga
}

textures/projumper/lum_none
{
    qer_editorImage textures/projumper/white.tga
    qer_trans 0.2
    qer_nocarve
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    skyParms - - -
    q3map_surfacelight 0
    q3map_tessSize 96
    q3map_lightImage textures/projumper/white.tga
}

textures/projumper/blue_glow
{
    qer_editorImage textures/projumper/qer_blue_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_projumper/blue_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.40 0.10 0 1
        tcMod rotate 20
        tcMod scroll 0.025 0.015
    }
}

textures/projumper/red_glow
{
    qer_editorImage textures/projumper/qer_red_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 70
    q3map_tessSize 64
    cull disable
    {
        map textures/_projumper/red_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.35 0.15 0 1
    }
}

textures/projumper/redwood
{
    qer_editorImage textures/projumper/redwood.jpg
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/projumper/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/projumper/glass_dark
{
    qer_editorImage textures/projumper/qer_glass_dark.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_projumper/urt41_chrome.tga
        rgbGen vertex
        blendFunc blend
        tcGen environment
    }
}

textures/projumper/ps3
{
    qer_editorImage textures/projumper/ps3.tga
    polygonOffset
    {
        map textures/projumper/ps3.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/projumper/uber_leet
{
    qer_editorImage textures/projumper/uber_leet.tga
    polygonOffset
    {
        map textures/projumper/uber_leet.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 1.6
        alphaGen const 1
    }
}

textures/projumper/principle01
{
    qer_editorImage textures/projumper/principle01.tga
    {
        map textures/projumper/principle01.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle01.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle02
{
    qer_editorImage textures/projumper/principle02.tga
    {
        map textures/projumper/principle02.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle02.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle03
{
    qer_editorImage textures/projumper/principle03.tga
    {
        map textures/projumper/principle03.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle03.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle04
{
    qer_editorImage textures/projumper/principle04.tga
    {
        map textures/projumper/principle04.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle04.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle05
{
    qer_editorImage textures/projumper/principle05.tga
    {
        map textures/projumper/principle05.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle05.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle06
{
    qer_editorImage textures/projumper/principle06.tga
    {
        map textures/projumper/principle06.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle06.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle07
{
    qer_editorImage textures/projumper/principle07.tga
    {
        map textures/projumper/principle07.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle07.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle08
{
    qer_editorImage textures/projumper/principle08.tga
    {
        map textures/projumper/principle08.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle08.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle09
{
    qer_editorImage textures/projumper/principle09.tga
    {
        map textures/projumper/principle09.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle09.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle10
{
    qer_editorImage textures/projumper/principle10.tga
    {
        map textures/projumper/principle10.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle10.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/principle11
{
    qer_editorImage textures/projumper/principle11.tga
    {
        map textures/projumper/principle11.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/projumper/principle11.tga
        alphaGen vertex
        blendFunc blend
    }
}

textures/projumper/text1
{
    qer_editorImage textures/projumper/text1.tga
    polygonOffset
    {
        map textures/projumper/text1.tga
        blendFunc blend
        rgbGen wave square 0.55 0.45 0 1.6
        alphaGen const 1
    }
}

textures/projumper/credits
{
    qer_editorImage textures/projumper/credits.tga
    polygonOffset
    {
        map textures/projumper/credits.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
}

